Skip to main content
PUT
/
v1
/
credit
/
transfers
/
{id}
/
requestReservedFunds
Request reserved funds
curl --request PUT \
  --url https://api-sandbox.circle.com/v1/credit/transfers/{id}/requestReservedFunds \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form fileName=wire_proof.pdf \
  --form fileContent='@example-file'
{
  "data": {
    "id": "fc988ed5-c129-4f70-a064-e5beb7eb8e32",
    "amount": {
      "amount": "100000.00",
      "currency": "USD"
    },
    "status": "requested",
    "createDate": "2024-03-20T14:30:00.000Z",
    "updateDate": "2024-03-20T14:45:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Body

multipart/form-data
fileName
string
required

Name of the evidence file.

Example:

"wire_proof.pdf"

fileContent
file
required

The evidence file content. Allowed types are application/pdf, image/jpeg, and image/png.

Response

Successfully requested reserved funds.

data
object

A credit transfer (drawdown) from the credit line.